Bug 1119251 - [abrt] tracker: vasprintf(): tracker-store killed by SIGSEGV
Summary: [abrt] tracker: vasprintf(): tracker-store killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df0e67b82a1e4c3098fcf2c947a...
: 1121443 1122369 1127679 1142064 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:29 UTC by Kjartan Maraas
Modified: 2015-12-02 16:09 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:29 UTC


Attachments (Terms of Use)
File: backtrace (33.98 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: core_backtrace (19.10 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: dso_list (3.85 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: environ (934 bytes, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: maps (19.38 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: open_fds (1.12 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details
File: var_log_messages (211 bytes, text/plain)
2014-07-14 11:29 UTC, Kjartan Maraas
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 733809 None None None Never

Description Kjartan Maraas 2014-07-14 11:29:42 UTC
Description of problem:
Happened on first  login after upgrading to rawhide from FC20

Version-Release number of selected component:
tracker-1.0.2-1.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: vasprintf
executable:     /usr/libexec/tracker-store
kernel:         3.16.0-0.rc4.git3.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 vasprintf at /usr/include/bits/stdio2.h:210
 #3 g_vasprintf at gprintf.c:316
 #4 g_strdup_vprintf at gstrfuncs.c:507
 #5 g_error_new_valist at gerror.c:388
 #6 g_set_error at gerror.c:558
 #7 cache_insert_metadata_decomposed at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #8 tracker_data_insert_statement_with_string at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #9 tracker_sparql_query_parse_construct_property_list_not_empty at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #10 tracker_sparql_query_execute_insert_or_delete at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #11 tracker_sparql_query_execute_update at /usr/lib64/tracker-1.0/libtracker-data.so.0

Comment 1 Kjartan Maraas 2014-07-14 11:29:46 UTC
Created attachment 917756 [details]
File: backtrace

Comment 2 Kjartan Maraas 2014-07-14 11:29:47 UTC
Created attachment 917757 [details]
File: cgroup

Comment 3 Kjartan Maraas 2014-07-14 11:29:48 UTC
Created attachment 917758 [details]
File: core_backtrace

Comment 4 Kjartan Maraas 2014-07-14 11:29:49 UTC
Created attachment 917759 [details]
File: dso_list

Comment 5 Kjartan Maraas 2014-07-14 11:29:50 UTC
Created attachment 917760 [details]
File: environ

Comment 6 Kjartan Maraas 2014-07-14 11:29:52 UTC
Created attachment 917761 [details]
File: exploitable

Comment 7 Kjartan Maraas 2014-07-14 11:29:53 UTC
Created attachment 917762 [details]
File: limits

Comment 8 Kjartan Maraas 2014-07-14 11:29:54 UTC
Created attachment 917763 [details]
File: maps

Comment 9 Kjartan Maraas 2014-07-14 11:29:55 UTC
Created attachment 917764 [details]
File: open_fds

Comment 10 Kjartan Maraas 2014-07-14 11:29:56 UTC
Created attachment 917765 [details]
File: proc_pid_status

Comment 11 Kjartan Maraas 2014-07-14 11:29:58 UTC
Created attachment 917766 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-07-26 17:13:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-07-27 06:32:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Igor Gnatenko 2014-07-27 07:17:55 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=733809

Comment 15 Igor Gnatenko 2014-07-27 07:27:56 UTC
*** Bug 1121443 has been marked as a duplicate of this bug. ***

Comment 16 Elad Alfassa 2014-07-27 12:31:55 UTC
Another user experienced a similar problem:

Crashes in the background while I'm doing nothing

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: g_vasprintf
executable:     /usr/libexec/tracker-store
kernel:         3.16.0-0.rc6.git0.1.fc22.1.x86_64
package:        tracker-1.0.2-2.fc21
reason:         tracker-store killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 birger 2014-07-31 07:47:30 UTC
I am seeing the same problem on a PC with a clean install of F20 + yum upgrade to F21.

tracker-1.0.2-4.fc21

Comment 18 Moez Roy 2014-08-11 14:53:16 UTC
(In reply to birger from comment #17)
> I am seeing the same problem on a PC with a clean install of F20 + yum
> upgrade to F21.
> 
> tracker-1.0.2-4.fc21

same here

Comment 20 Kamil Páral 2014-08-13 17:13:20 UTC
Discussed at the 2014-08-13 blocker review meeting:
http://meetbot.fedoraproject.org/fedora-blocker-review/2014-08-13/

Rejected as an Alpha Blocker. This seems to happen only on upgraded systems which doesn't block alpha. If this is still an issue at beta with fedup upgrades, please re-propose as a beta blocker if it violates any of those criteria.

quickbooks: Please provide a justification for the blocker proposal next time, or preferably even the violated criterion [1]. It helps a lot when deciding. Thanks.

[1] https://fedoraproject.org/wiki/Fedora_21_Alpha_Release_Criteria

Comment 21 Debarshi Ray 2014-10-10 12:49:59 UTC
*** Bug 1127679 has been marked as a duplicate of this bug. ***

Comment 22 Debarshi Ray 2014-10-10 12:58:59 UTC
*** Bug 1122369 has been marked as a duplicate of this bug. ***

Comment 23 Debarshi Ray 2014-10-10 13:00:02 UTC
*** Bug 1142064 has been marked as a duplicate of this bug. ***

Comment 24 Fedora End Of Life 2015-11-04 15:49:14 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 25 Fedora End Of Life 2015-12-02 03:15:35 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.